%global packname  tweenr
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.1.5
Release:          2%{?dist}
Summary:          Interpolate Data for Smooth Animations

# Main: GPLv2+; src/easing.?: WTFPL
License:          GPLv2+ and WTFPL
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp >= 0.12.3, R-grDevices
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-Rcpp >= 0.12.3
Requires:         R-grDevices
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-Rcpp-devel >= 0.12.3
BuildRequires:    R-grDevices

%description
In order to create smooth animation between states of data, tweening is
necessary. This package provides a range of functions for creating tweened
data that plugs right into functions such as gg_animate() from the
'gganimate' package. Furthermore it adds a number of vectorized
interpolaters for common R data types such as numeric, date and colour.


%prep
%setup -q -c -n %{packname}

chmod -x %{packname}/src/easing.?


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed Aug 29 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.5-2
- Fix permissions on files

* Tue Aug 28 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.5-1
- initial package for Fedora
